Summary:	NUT GUI Interface
Name:		knutclient
Version:	0.8.1
Release:	2mdk
License:	GPL
Url:		http://www.alo.cz
Group:		Monitoring
Source0:        ftp://ftp.buzuluk.cz/pub/alo/knutclient/stable/%{name}-%{version}.tar.bz2
Buildrequires:	libqt-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Patch1:	knutclient-fix-compile.patch.bz2

%description
Knutclient is a KDE GUI interface for the UPS system NUT

%prep
%setup -q

# Laurent fix compile
%patch1 -p1 -b .fix_gcc_compile

%build
make -f Makefile.dist

CFLAGS="$RPM_OPT_FLAGS"			\
CXXFLAGS="$RPM_OPT_FLAGS"		\
./configure	--prefix=%{_prefix}	\
		--libdir=%{_libdir}	\
		--enable-mt		\
		--enable-final		\
		--disable-rpath
%make

%install
make install-strip DESTDIR=%buildroot
mkdir -p %buildroot/%_menudir
mkdir -p $RPM_BUILD_ROOT/%_menudir
kdedesktop2mdkmenu.pl %{name} System/Monitoring %buildroot/%_datadir/applnk/Applications/%{name}.desktop %buildroot/%_menudir/%{name}

%find_lang %{name} 

%clean
rm -rf %{buildroot}

%post
%{update_menus}
 
%postun
%{clean_menus} 

%files -f %name.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog INSTALL TODO COPYING 
%{_bindir}/knutclient
%{_menudir}/%{name}
%{_datadir}/applnk/Applications/%{name}.desktop
%dir %{_datadir}/apps/knutclient
%{_datadir}/apps/knutclient/knutclientui.rc
%{_docdir}/HTML/*/knutclient
%{_iconsdir}/??color/??x??/apps/knutclient*.png

%changelog
* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-2mdk
- Rebuild

* Fri Apr 23 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.8.1-1mdk
- New release

* Wed Mar 31 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.8.0.1-1mdk
- New release
- Add patch1: allow to change shortcut (patch from lmontel@mandrakesoft.com)
- Add patch2: fix includemoc (patch from lmontel@mandrakesoft.com)
- Use kdedesktop2mdkmenu script

* Fri Feb 13 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.7.5-2mdk
- New release

* Fri Feb 13 2004 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.7.5-1mdk
- New release

* Fri Dec 19 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.7.4-1mdk
- New release

* Mon Nov 10 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.7.3-3mdk
- Correction changelog

* Mon Nov 10 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.7.3-2mdk
- Correction Buildrequires

* Fri Nov 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.7.3-1mdk
- new release

* Fri Jul 25 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.6.3-1mdk
- New release

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.0-3mdk
- Rebuild

* Wed Apr 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-2mdk
- buildrequires

* Wed Jan 08 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- 0.6.0

* Tue Aug 27 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.5.0-2mdk
- New release

* Mon Aug 19 2002 Laurent Culioli <laurent@pschit.net> 0.4.1-4mdk
- rebuild with gcc3.2

* Sat Jul 27 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.4.1-3mdk
- Mandrake adaptions
- Creation of patch for qt3 detection in configure
- Creation of french po file
